routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

    Route::get('/home', 'HomeController@index')->name('Home');

    Route::group(['middleware' => ['isAdmin', 'auth']], function() {
        Route::resource('users', 'UserController');
        Route::resource('roles', 'RoleController');
        Route::resource('permissions', 'PermissionController');
        Route::resource('keywords', 'KeywordController');
        Route::resource('industry', 'IndustryController');
    });

    Route::resource('blogs', 'BlogController')->middleware('auth');
    Route::get('/blogs/list', 'BlogController@show')->name('blogs.bloglist')->middleware('auth');
    Route::post('/blogs/searchresult','BlogController@blog_search')->name('blogs.searchresult');
    Route::post('/blogs/add_to_cart','BlogController@add_to_cart')->name('blogs.add_to_cart');
    Route::post('/blogs/add_to_cart_update','BlogController@add_to_cart_update')->name('blogs.add_to_cart_update');
    Route::get('/cart','BlogController@cart')->name('blog.cart')->middleware('auth');
    Route::post('/cart_update','BlogController@cart_update')->name('blog.cart_update');
    Route::post('/cart_delete','BlogController@cart_delete')->name('blog.cart_delete');
    Route::get('/checkout','BlogController@checkout')->name('blog.checkout')->middleware('auth');

    Route::resource('orders', 'OrderController')->middleware('auth');
    //   Route::post('/orders/update/{id}', 'OrderController@update')->name('orders.update');

    Route::get('paywithpaypal', array('as' => 'addmoney.paywithpaypal','uses' => 'AddMoneyController@payWithPaypal',));
    Route::post('paypal', array('as' => 'addmoney.paypal','uses' => 'AddMoneyController@postPaymentWithpaypal',));
    Route::get('paypal', array('as' => 'payment.status','uses' => 'AddMoneyController@getPaymentStatus',));

resources/views/backend/cart.blade.php
@extends('layouts.backend.app')

@section('section')

<style>
  .display{
      display:none;
  }
</style>

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="#" class="active">Cart</a></li>
            </ol>
            </h1>
        </section>

     
        <section class="content">

            <table id="cart" class="table table-hover table-condensed">
                <thead>
                <tr>
                    <th style="width:35%">Blogs</th>
                    <th style="width:23%">Additional Details</th>
                    <th style="width:10%">Price</th>
                    {{-- <th style="width:8%">Quantity</th> --}}
                    <th style="width:20%" class="text-center">Subtotal</th>
                    <th style="width:12%">Action</th>
                </tr>
                </thead>
                <tbody>
        @if (empty($cart_data) == false)       
               

         @foreach($cart_data as $key=>$data)
                    
                <tr style="background:white;">
     
                    <td data-th="Product">
                        <div class="row">
                        <div class="col-sm-3 hidden-xs"><img src="{{ asset('storage/'.$data['blog_image'] ) }}" alt="..." class="img-responsive"/></div>
                            <div class="col-sm-9">
                                <h4 class="nomargin">{{$data['title']}}</h4>
                                <p>{{strip_tags($data['description'])}}</p>
                            </div>
                        </div>
                    </td>
                <td data-th="Price">DA: {{$data['da']}} <br> FB: {{$data['fb']}} <br> Followers:  {{$data['follower']}} </td>
                    <td data-th="Price">${{number_format($data['price'],0)}}</td>
                    {{-- <td data-th="Quantity">
                        <input type="number" class="form-control text-center" value="1">
                    </td> --}}
                    <td data-th="Subtotal" class="text-center">1.99</td>
                    <td class="actions" data-th="">
                        {{-- <form method="post" enctype="multipart/form-data" action="{{route('blog.cart_update')}}">
                            <input type="hidden" value="{{csrf_token()}}" name="_token"/>
                            <input type="hidden" value="{{$data['title']}}" name="title"  /> --}}
                            {{-- <input type="hidden" value="{{current($data)}}" name="array_index"  /> --}}
                            {{-- <input type="hidden" value="{{$key}}" name="array_index"  />
                            <input type="hidden" value="{{$data['description']}}" name="description"/>
                            <input type="hidden" value="{{$data['price']}}" name="price"/>
                            <input type="hidden" value="{{$data['da']}}" name="da"/>
                            <input type="hidden" value="{{$data['fb']}}" name="fb"/>
                            <input type="hidden" value="{{$data['follower']}}" name="follower"/>
                        <button class="btn btn-info btn-sm"><i class="fa fa-refresh"></i></button>
                        </form> --}}
                        <form method="post" enctype="multipart/form-data" action="{{route('blog.cart_delete')}}">
                            <input type="hidden" value="{{csrf_token()}}" name="_token"/>
                            <input type="hidden" value="{{$data['title']}}" name="title"  />
                            <input type="hidden" value="{{$key}}" name="array_index"  />
                            <input type="hidden" value="{{$data['description']}}" name="description"/>
                            <input type="hidden" value="{{$data['price']}}" name="price"/>
                            <input type="hidden" value="{{$data['da']}}" name="da"/>
                            <input type="hidden" value="{{$data['fb']}}" name="fb"/>
                            <input type="hidden" value="{{$data['follower']}}" name="follower"/>
                        <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
                        </form>
                    </td>
                </form>
                </tr>
 

                @endforeach

                @else
                <th style = "width:100%; text-align:center">
                    Cart Is Empty
                </th>
                @endif          
                </tbody>
                <tfoot>
                <tr class="visible-xs">
                    <td class="text-center"><strong></strong></td>
                </tr>
                <tr>
                    <td><a href="{{ route('blogs.index') }}" class="btn btn-warning"><i class="fa fa-angle-left"></i> Continue Shopping</a></td>
                    <td colspan="2" class="hidden-xs"></td>
                    @if (empty($cart_data) == false)     
                    <td class="hidden-xs text-center"><strong></strong></td>
                    <td><a href="{{ route('blog.checkout') }}" class="btn btn-warning"> Check Out <i class="fa fa-angle-right"></i></a></td>
                    @endif
                </tr>
                </tfoot>
            </table>
        

        </section>

    
        <!-- /.content -->
    </div>
@endsection

@section('script')
    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging': true,
                'lengthChange': false,
                'searching': false,
                'ordering': true,
                'info': true,
                'autoWidth': false
            })
        })
    </script>
@endsection

resources/views/backend/checkout.blade.php
@extends('layouts.backend.app')

@section('section')

<style>
  .display{
      display:none;
  }
</style>

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="#" class="active">Cart</a></li>
            </ol>
                 
        </section>

     
        <section class="section-content bg padding-y">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        @if (Session::has('error'))
                            <p class="alert alert-danger">{{ Session::get('error') }}</p>
                        @endif
                    </div>
                </div>
            <form action="{{route('orders.store')}}" method="POST" enctype="multipart/form-data" >
                    @csrf
                    <div class="row">
                        <div class="col-md-6">
                            <div class="card">
                                <header class="card-header">
                                    <h2 class="card-title mt-2">Billing Details</h2>
                                </header>
                                <article class="card-body">
                                    <div class="form-row">
                                        <div class="col form-group">
                                            <label>First name</label>
                                            <input type="text"  class="form-control" name="fname">
                                        </div>
                                        <div class="col form-group">
                                            <label>Last name</label>
                                            <input type="text"  class="form-control" name="lname">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>Address</label>
                                        <input type="text"  class="form-control" name="address">
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6" style="padding-left:0px;">
                                            <label>City</label>
                                            <input type="text" class="form-control" name="city">
                                        </div>
                                        <div class="form-group col-md-6" style="padding-left:0px;">
                                            <label>Country</label>
                                            <input type="text" class="form-control" name="country">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group  col-md-6" style="padding-left:0px;">
                                            <label>Post Code</label>
                                            <input type="text" class="form-control" name="post_code">
                                        </div>
                                        <div class="form-group  col-md-6" style="padding-left:0px;">
                                            <label>Phone Number</label>
                                            <input type="text" class="form-control" name="phone_number">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>Email Address</label>
                                        <input type="email" class="form-control" name="email" value="{{ auth()->user()->email }}" >
                                        <small class="form-text text-muted">We'll never share your email with anyone else.</small>
                                    </div>
                                    <div class="form-group">
                                        <label>Order Notes</label>
                                        <textarea class="form-control" name="notes" rows="6"></textarea>
                                    </div>
                                </article>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="card">
                                        <header class="card-header">
                                            <h2 class="card-title mt-2">Your Order</h2>
                                        </header>
                                        @foreach($cart_data as $key=>$data)
                                        <article class="card-body">
                                            <dl style="display:flex">
                                                <dt>1 x {{$data['title']}} </dt>
                                                <dt style="margin-left:250px;"> ${{$data['price']}} </dt>
                                            </dl>                   
                                        </article>
                                        @endforeach
                                        <dl class="dlist-align">
                                            <dt>Total cost: </dt>
                                            <dd class="text-right h5 b">  </dd>
                                        </dl>
                                    </div>
                                </div>
                                <div class="col-md-12 mt-4">
                                    <button type="submit" class="subscribe btn btn-success btn-lg btn-block">Place Order</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </section>
    
        <!-- /.content -->
    </div>
@endsection

@section('script')
    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging': true,
                'lengthChange': false,
                'searching': false,
                'ordering': true,
                'info': true,
                'autoWidth': false
            })
        })
    </script>
@endsection

resources/views/backend/home.blade.php
@extends('layouts.backend.app')

@section('section')

    <?php

    use App\orders;
    use App\keyword;
    use App\Industry;
    use App\blog;


    $user       = Auth::user();
    $orders     = "";
    $keywords   = "";
    $industries = "";
    $blogs      = "";

    if($user->hasRole(1)){
        $orders = orders::latest()->get();
    }
    else{
        $current_user_id = Auth::user()->id;
        $orders = orders::where('user_id',$current_user_id)->latest()->get();
    }

    $blogs      = blog::all();
    $keywords   = keyword::all();
    $industries = Industry::all();


    ?>


    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Dashboard
                <small>Control panel</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{route('Home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Dashboard</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <!-- Small boxes (Stat box) -->
            <div class="row">
                @hasrole('admin')
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-aqua">
                            <div class="inner">
                                <h3>{{count($orders)}}</h3>

                                <p>Total Orders</p>
                            </div>
                            <div class="icon">
                                <i class="ion ion-bag"></i>
                            </div>
                            <a href="{{route('orders.index')}}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                    <!-- ./col -->
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-green">
                            <div class="inner">
                                <h3>{{count($keywords)}} <sup style="font-size: 20px"></sup></h3>

                                <p>Keywords</p>
                            </div>
                            <div class="icon">
                                <i class="fa fa-font"></i>
                            </div>
                            <a href="{{route('keywords.index')}}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                    <!-- ./col -->
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-yellow">
                            <div class="inner">
                                <h3>{{count($industries)}}</h3>

                                <p>Industries</p>
                            </div>
                            <div class="icon">
                                <i class="fa fa-industry"></i>
                            </div>
                            <a href="{{route('industry.index')}}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                    <!-- ./col -->
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-red">
                            <div class="inner">
                                <h3>{{count($blogs)}}</h3>

                                <p>Blogs</p>
                            </div>
                            <div class="icon">
                                <i class="fa fa-sticky-note-o"></i>
                            </div>
                            <a href="{{route('blogs.bloglist')}}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                    <!-- ./col -->
                @else
                    <div class="col-lg-3 col-xs-6">
                        <!-- small box -->
                        <div class="small-box bg-aqua">
                            <div class="inner">
                                <h3>{{count($orders)}}</h3>

                                <p>My Orders</p>
                            </div>
                            <div class="icon">
                                <i class="ion ion-bag"></i>
                            </div>
                            <a href="{{route('orders.index')}}" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
                        </div>
                    </div>
                @endrole
            </div>
            <!-- /.row -->


        </section>
        <!-- /.content -->
    </div>
@endsection

resources/views/backend/paywithpaypal.blade.php
@extends('layouts.backend.app')

@section('section')

<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Paywith Paypal</div>
                <div class="panel-body">
                    <form class="form-horizontal" method="POST" id="payment-form" role="form" action="{!! URL::route('addmoney.paypal') !!}" >
                        {{ csrf_field() }}
                        <div class="form-group{{ $errors->has('amount') ? ' has-error' : '' }}">
                            <label for="amount" class="col-md-4 control-label">Amount</label>
                            <div class="col-md-6">
                                <input id="amount" type="text" class="form-control" name="amount" value="{{ old('amount') }}" autofocus>
                                @if ($errors->has('amount'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('amount') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Paywith Paypal
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection